import 'jest-preset-angular/setup-jest';

import failOnConsole from 'jest-fail-on-console';

// Make Jest test fail on console.error and warn
failOnConsole();

Object.defineProperty(window, 'CSS', {value: null});
Object.defineProperty(window.URL, 'createObjectURL', {value: function () {}});
Object.defineProperty(window, 'getComputedStyle', {
  value: () => {
    return {
      appearance: ['-webkit-appearance'],
      display: 'none',
    };
  },
});

Object.defineProperty(document, 'doctype', {
  value: '<!DOCTYPE html>',
});
Object.defineProperty(document.body.style, 'transform', {
  value: () => {
    return {
      configurable: true,
      enumerable: true,
    };
  },
});
