# USGS Earthquake Hazard Toolbox Dashboard

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Dashboard

Main entrypoint for USGS Earthquake Hazard Toolbox.

Contains links to applications:

- Hazard applications
  - [Disaggregation](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg)
  - [Dynamic Hazard](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/dynamic)
  - [Static Hazard](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static)
- Ground motion model applications:
  - [Ground Motion vs. Distance](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance)
  - [Ground Motion vs Magnitude](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude)
  - [Response Spectra](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/spectra)
- Source model applications:
  - [Model Mapping](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/model-maps)
  - [Magnitude Frequency Distrinbution application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd)
- [Services](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/services)

## Components

### App

Main app component for dashboard application.

### About

Main USGS Earthquake Hazard Toolbox about page describing how to generally use the suite of tools.

## Routing

See [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
for routing configuration for USGS Earthquake Hazard Toolbox.
