# Development Applications

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Applications

### Development Dashboard

Main entrypoint for all development applications.

See [dashboard](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/dashboard/).

### AWS Applications

Applications for interacting with AWS and running nshmp-haz.

See [aws](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/).

### Ground Motion Models Applications

Development GMM applications.

See [gmm](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/)

### Hazard Applications

Development hazard application for interacting with NSHMs.

See [hazard](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/hazard/)

### Math Applications

Applications for experimenting with different math calulcations.

See [math](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/).

## Routing

Development applications are handled by the
[DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html).
