import {Routes} from '@angular/router';

const routes: Routes = [
  {
    loadComponent: () =>
      import('./check-haz-jobs/app.component').then(com => com.AppComponent),
    path: 'check-haz-jobs',
  },
  {
    loadComponent: () =>
      import('./haz-job-history/app.component').then(com => com.AppComponent),
    path: 'haz-job-history',
  },
  {
    loadComponent: () =>
      import('./terminate-haz-jobs/app.component').then(
        com => com.AppComponent
      ),
    path: 'terminate-haz-jobs',
  },
  {
    loadComponent: () =>
      import('./submit-haz-jobs/app.component').then(com => com.AppComponent),
    path: 'submit-haz-jobs',
  },
];

/**
 * Returns development AWS routes.
 */
export function devAwsRoutes(): Routes {
  return routes;
}
