import {ComponentFixture, TestBed, waitForAsync} from '@angular/core/testing';
import {MAT_SNACK_BAR_DATA} from '@angular/material/snack-bar';

import {SnackBarComponent} from './snack-bar.component';

describe('SnackBarComponent', () => {
  let component: SnackBarComponent;
  let fixture: ComponentFixture<SnackBarComponent>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [SnackBarComponent],
      providers: [
        {
          provide: MAT_SNACK_BAR_DATA,
          useValue: {},
        },
      ],
      teardown: {destroyAfterEach: false},
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(SnackBarComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
