# USGS Earthquake Hazard Toolbox Development Dashboard

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Dashboard

Development dashboard for all development applications.

Contains links to development applications:

- [Exceedance Explorer](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/math/exceedance-explorer)
- AWS applications:
  - [Check hazard jobs application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs)
  - [Hazard job history application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/aws/haz-job-history)
  - [Submit hazard jobs application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/aws/submit-haz-jobs)
  - [Terminate hazard jobs application](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/aws/terminate-haz-jobs)

## Components

### App

Main app component for dashboard application.

## Routing

See [DevModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/modules/DevModule.html)
for routing configuration for development applications.
