# Ground Motion Model Development Applications

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Applications

Ground motion model development applications.

### Hanging Wall Effects

Compute hanging wall effects on ground motion vs. distance.

See [hanging-wall-effects](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/hanging-wall-effects).

## Routing

Ground motion model application routing is handled by the
[GmmModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/gmm/modules/GmmModule.html).
