import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed, waitForAsync} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';

import {PlotSettingsPanelComponent} from './plot-settings-panel.component';

describe('ExceedancePlotSettingsComponent', () => {
  let component: PlotSettingsPanelComponent;
  let fixture: ComponentFixture<PlotSettingsPanelComponent>;

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      imports: [PlotSettingsPanelComponent],
      providers: [provideHttpClient(), provideNoopAnimations()],
      teardown: {destroyAfterEach: false},
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(PlotSettingsPanelComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
