import {NumberBounds} from '@ghsc/nshmp-lib-ng/nshmp';

/**
 * Exceedance control panel bounds.
 */
export interface ExceedanceFormBounds {
  /** Median bounds */
  median: FormBounds;
  /** Rate bounds */
  rate: FormBounds;
  /** Sigma bounds */
  sigma: FormBounds;
  /** Truncation lecvel bounds */
  truncationLevel: FormBounds;
}

/**
 * Form bounds and step
 */
export interface FormBounds extends NumberBounds {
  /** The form step */
  step: number;
}
