import {Component} from '@angular/core';
import {NshmpLibNgErrorPageComponent} from '@ghsc/nshmp-lib-ng/nshmp';
import {navigation} from 'projects/nshmp-apps/src/shared/utils/navigation.utils';

/**
 * Error page for any 410 errors.
 *
 * Used for reverse proxy.
 */
@Component({
  imports: [NshmpLibNgErrorPageComponent],
  selector: 'app-410',
  standalone: true,
  styleUrl: './410.component.scss',
  templateUrl: './410.component.html',
})
export class Error410Component {
  navigationList = navigation();

  constructor() {}
}
