# Error Pages

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Pages

Error pages for 404, 410, and 500 routing errors.

Reverse proxy uses these for errors.

### 404

For any 404 error.

See [404](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/error-pages/404/).

### 410

For any 410 error.

See [410](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/error-pages/410).

### 500

For any 500 error.

See [500](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/error-pages/500).

## Routings

- Error pages routes:
  [ErrorPagesModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/error-pages/modules/ErrorPagesModule.html)
- USGS Earthquake Hazard Toolbox routing:
  [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
