import {Routes} from '@angular/router';

/** GMM routes */
const routes: Routes = [
  {
    loadComponent: () =>
      import('./distance/app.component').then(com => com.AppComponent),
    path: 'distance',
  },
  {
    loadComponent: () =>
      import('./magnitude/app.component').then(com => com.AppComponent),
    path: 'magnitude',
  },
  {
    loadComponent: () =>
      import('./spectra/app.component').then(com => com.AppComponent),
    path: 'spectra',
  },
];

/**
 * Return GMM application routes.
 */
export function gmmRoutes(): Routes {
  return routes;
}
