# Hazard Applications

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Applications

### Dynamic Data

Applications using [nshmp-haz-ws](https://code.usgs.gov/ghsc/nshmp/nshmp-haz) for dynamic
hazard calculation.

#### Disaggregation Application

Calculate and plot disaggregations.

See [disagg](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/disagg).

#### Dynamic Hazard Application

Calculate and plot ground motion vs annual frequency of exceedance.

See [dynamic](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/dynamic).

### Static Data

Applications using [nshmp-ws-static](https://code.usgs.gov/ghsc/nshmp/nshmp-ws-static)
for static hazard data.

#### Static Hazard Application

Retrieve and plot hazard from published NSHMs.

See [static](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/static/).

## Routing

Hazard applications are handled by the [HazardModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/hazard/modules/HazardModule.html).
