import {AsyncPipe} from '@angular/common';
import {Component} from '@angular/core';
import {ReactiveFormsModule} from '@angular/forms';
import {MatLabel} from '@angular/material/form-field';
import {MatSlider, MatSliderThumb} from '@angular/material/slider';

import {AppService} from '../../services/app.service';

@Component({
  imports: [
    MatLabel,
    MatSlider,
    MatSliderThumb,
    AsyncPipe,
    ReactiveFormsModule,
  ],
  selector: 'app-plot-settings-panel',
  standalone: true,
  styleUrl: './plot-settings-panel.component.scss',
  templateUrl: './plot-settings-panel.component.html',
})
export class PlotSettingsPanelComponent {
  formGroup = this.service.formGroup;

  constructor(private service: AppService) {}
}
