/**
 * Usage and service response.
 *
 * @param U The usage response type
 * @param S The service response type
 */
export interface ServiceResponse<U, S> {
  /** Service call response */
  serviceResponse: S;
  /** Usage response */
  usageResponse: U;
}
