# Web Service Configuration

Each NSHMP application resides on NSHMP web services.

All web services are defined in the
[web-services.ts](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/blob/main/projects/nshmp-apps/src/environments/web-services.ts) file.

For local development these web services are overridden in
[environment.ts](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/blob/main/projects/nshmp-apps/src/environments/environment.ts).

## Override Values

To override any of the development web service configuration, add the new values
to the [environmet.ts](https://code.usgs.gov/ghsc/nshmp/nshmp-apps/-/blob/main/projects/nshmp-apps/src/environments/environment.ts)
file.

### Build Development

```bash
npm run build
```

### Run Development

```bash
npm run start
```

<br>
<div align="center">
  <h3> 
    Previous: <a href="https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/additional-documentation/project-structure.html">Project Structure</a> &emsp; &emsp;
    Next: <a href="https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/additional-documentation/docker.html">Docker</a>
  </h3>
</div>
