import {navigation} from '../../../src/shared/utils/navigation.utils';
import * as utils from '../../utils';

describe('Dashboard', () => {
  beforeEach(() => {
    cy.viewport('macbook-16');
    cy.visit('/');
  });

  describe('Check nshmp-template', () => {
    utils.hasNshmpTemplate(navigation());
  });

  describe('Check dashboard', () => {
    const nav = navigation().map(navItem => {
      const list = navItem.navigation.filter(
        app => app.display !== 'Dashboard'
      );
      return {
        ...navItem,
        navigation: list,
      };
    });

    utils.hasDashboard(nav);
  });
});
