import {ServiceCallInfo} from '@ghsc/nshmp-lib-ng/nshmp';
import {
  RtgmCalcResponse,
  RtgmUsageResponse,
} from '@ghsc/nshmp-utils-ts/libs/erp/rtgm';

import {RtgmPlots} from './plots.model';

export interface AppState {
  /** RTGM plots */
  plots: RtgmPlots;
  /** Service call info */
  serviceCallInfo: ServiceCallInfo;
  /** Service response */
  serviceResponse: RtgmCalcResponse;
  /** RTGM usage response */
  usageResponse: RtgmUsageResponse;
}
