# AWS Applications

Development applications to interact with services on AWS to run nshmp-haz.

## Applications

### Check Hazard Jobs

See logs of nshmp-haz jobs.

see [check-haz-jobs](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/check-haz-jobs/).

### Hazard Job History

List nshmp-haz job information based on job id or email.

See [haz-job-history](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/haz-job-history/).

### Submit Hazard Jobs

Run nshmp-haz on AWS.

See [submit-haz-jobs](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/submit-haz-jobs/).

### Terminate Hazard Jobs

Terminate a running job on AWS.

See [terminate-haz-jobs](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/terminate-haz-jobs/).

## Routing

AWS application routing is handled by the [AwsModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev/aws/modules/AwsModule.html).
