/**
 * Upload file service request data
 */
export interface UploadFileRequestData {
  /** The file name */
  fileName?: string;
}

/**
 * Upload file service response data.
 */
export interface UploadFileResponseData {
  /** URL to download file once uploaded */
  downloadUrl: string;
  /** File name */
  fileName: string;
  /** The S3 pre-signed URL to upload file */
  preSignedUrl: string;
}
