# Ground Motion Model (GMM) Applications

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Applications

GMM applications using the [nshmp-ws](https://code.usgs.gov/ghsc/nshmp/nshmp-ws) web services.

### Ground Motion vs. Distance

Application to plot ground motion vs. distance.

See [distance](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/distance/).

### Ground Motion vs. Magnitude

Application to plot ground motion vs. magnitiude.

See [magnitude](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/magnitude/).

### Response Spectra

Application to plot the response spectra.

See [spectra](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/spectra/).

## Routing

GMM applications are handled by the [GmmModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/gmm/modules/GmmModule.html).
