import {GmmImtParameters} from '@ghsc/nshmp-lib-ng/gmm';

/**
 * Ground motion vs magnitude service parameters.
 */
export interface GmmMagnitudeParameters extends GmmImtParameters {
  /** Distance */
  distance: number;
  /** Max magnitude */
  mMax: number;
  /** Min magnitude */
  mMin: number;
  /** Magnitude step */
  step: number;
}
