import {GmmParameters} from '@ghsc/nshmp-lib-ng/gmm';

/**
 * GMM response spectra service parameters.
 */
export interface GmmSpectraParameters extends GmmParameters {
  /** Rake */
  rake: number;
  /** Joyner-Boore Distance */
  rJB: number;
  /** Rupture Distance */
  rRup: number;
  /** Distance X */
  rX: number;
  /** Hypocentral Depth */
  zHyp: number;
}
