import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {DisaggDataComponent} from './disagg-data.component';

describe('DisaggDataComponent', () => {
  let component: DisaggDataComponent;
  let fixture: ComponentFixture<DisaggDataComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [DisaggDataComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(DisaggDataComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
