import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';
import {LeafletModule} from '@asymmetrik/ngx-leaflet';

import {GeoDisaggComponent} from './geo-disagg.component';

describe('GeoDisaggComponent', () => {
  let component: GeoDisaggComponent;
  let fixture: ComponentFixture<GeoDisaggComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [LeafletModule, GeoDisaggComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(GeoDisaggComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
