import {DisaggTarget, HazardAppQuery} from '@ghsc/nshmp-lib-ng/hazard';
import {Imt} from '@ghsc/nshmp-utils-ts/libs/nshmp-lib/gmm';

/**
 * URL query parameters.
 */
export interface DisaggQuery extends HazardAppQuery {
  /** Disaggregation component */
  disaggComponent: string;
  /** The disaggregation target */
  disaggTarget: DisaggTarget;
  /** IML */
  iml: string;
  /** IMT */
  imt: Imt;
  /** Vs30 */
  vs30: string;
}
