# Source Model Applications

> - [User Guide](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/)
>   - [Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/)
>   - [Development Applications](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/dev)
>   - [Libraries](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/libs/)

## Applicaiton

Application dealing with source models.

## Model Mapping Application

Map various layers associated with a NSHM using [Leaflet](https://leafletjs.com/).

See [model maps](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/model-maps/).

## Magnitude Frequency Distribution (MFD) Application

Calculate and plot MFDs and logic trees from a NSHM.

See [mfd](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/mfd/).

## Routing

- Source model applications: [SourceModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/source/modules/SourceModule.html)
- USGS Earthquake Hazard Toolbox: [AppRoutingModule](https://ghsc.code-pages.usgs.gov/nshmp/nshmp-apps/apps/modules/AppRoutingModule.html)
