import {provideHttpClient} from '@angular/common/http';
import {ComponentFixture, TestBed} from '@angular/core/testing';
import {provideNoopAnimations} from '@angular/platform-browser/animations';
import {provideRouter} from '@angular/router';

import {LogicTreeComponent} from './logic-tree.component';

describe('LogicTreeComponent', () => {
  let component: LogicTreeComponent;
  let fixture: ComponentFixture<LogicTreeComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [LogicTreeComponent],
      providers: [
        provideHttpClient(),
        provideNoopAnimations(),
        provideRouter([]),
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(LogicTreeComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
